# The Movie Database API ## Docs - [User account ID](https://emiloju.mintlify.app/api-reference/account-id.md): Learn how Account ID works and how to retrieve it. - [Add movie to favorites](https://emiloju.mintlify.app/api-reference/accounts/add-movie-to-favorites.md): This endpoint is used to add a movie to a user's favorites list. - [Add movie to list](https://emiloju.mintlify.app/api-reference/accounts/add-movie-to-list.md): This endpoint is used to add a movie to a user's list - [Add movie to watchlist](https://emiloju.mintlify.app/api-reference/accounts/add-movie-to-watchlist.md): This endpoint is used to add a movie to user's watchlist - [Check item status](https://emiloju.mintlify.app/api-reference/accounts/check-item-status.md): This endpoint is used to check if an item exists in a user's list. - [Clear a list](https://emiloju.mintlify.app/api-reference/accounts/clear-a-list.md): This endpoint is used to clear all items from a user's list. - [Create a list](https://emiloju.mintlify.app/api-reference/accounts/create-a-list.md): This endpoint is used to create a list for a TMDB user. - [Delete a rating](https://emiloju.mintlify.app/api-reference/accounts/delete-a-rating.md): This endpoint is used to delete a series rating added by a user. - [Delete rating](https://emiloju.mintlify.app/api-reference/accounts/delete-rating.md): This endpoint is used to delete a user rating. - [Get account by iD](https://emiloju.mintlify.app/api-reference/accounts/get-account-by-id.md): This endpoint is used to get the details of a TMDB account by its ID. - [Get account details](https://emiloju.mintlify.app/api-reference/accounts/get-account-details.md): This endpoint is used to get a user's account details. - Include the `session_id` query parameter to get the account ID for your app's users. - Include the `api_key` query parameter to get the account ID for your app itself. - [Get an account lists](https://emiloju.mintlify.app/api-reference/accounts/get-an-account-lists.md): This endpoint is used to retrieve the lists for a TMDB user's account - [Get favorite movies](https://emiloju.mintlify.app/api-reference/accounts/get-favorite-movies.md): This endpoint is used to get all movies in a TMDB user's favorites list. - [Get favorite tv shows](https://emiloju.mintlify.app/api-reference/accounts/get-favorite-tv-shows.md): This endpoint is used to get all the tv shows for in a user's favorites list. - [Get rated movies](https://emiloju.mintlify.app/api-reference/accounts/get-rated-movies.md): This endpoint is used to get the movies rated by a TMDB account. - [Get rated tv episodes](https://emiloju.mintlify.app/api-reference/accounts/get-rated-tv-episodes.md): This endpoint is used to get the TV episodes rated by a TMDB account. - [Get rated tv shows](https://emiloju.mintlify.app/api-reference/accounts/get-rated-tv-shows.md): This endpoint is used to get the TV shows rated by a TMDB account - [Get watchlist movies](https://emiloju.mintlify.app/api-reference/accounts/get-watchlist-movies.md): This endpoint is used to get all movies in a user's watchlist. - [Get watchlist tv shows](https://emiloju.mintlify.app/api-reference/accounts/get-watchlist-tv-shows.md): This endpoint is used to get all tv shows in a user's watchlist. - [Rate a movie](https://emiloju.mintlify.app/api-reference/accounts/rate-a-movie.md): This endpoint is used to rate a movie and save it to your rated list. - [Rate a TV series](https://emiloju.mintlify.app/api-reference/accounts/rate-a-tv-series.md): This endpoint is used to rate a TV series and save it to your rated list. - [Remove from list](https://emiloju.mintlify.app/api-reference/accounts/remove-from-list.md): Remove a movie from a list. - [Retrieve a list](https://emiloju.mintlify.app/api-reference/accounts/retrieve-a-list.md): This endpoint is used to retrieve a user's list by it's ID. - [Authentication methods](https://emiloju.mintlify.app/api-reference/authentication.md): Learn how to authenticate your app with the API. - [Create guest session](https://emiloju.mintlify.app/api-reference/authentication/create-guest-session.md): This endpoint is used to create a guest session id. Read more about guest sessions [here](https://emiloju.mintlify.app/api-reference/authentication#guest-sessions) - [Create request token](https://emiloju.mintlify.app/api-reference/authentication/create-request-token.md): This endpoint is used to create an intermediate request token that can be used to validate a TMDB user login in your app. More details about how this works can be found [here](https://emiloju.mintlify.app/api-reference/user-authentication). - [Create session](https://emiloju.mintlify.app/api-reference/authentication/create-session.md): This endpoint is used to create a valid session ID for a TMDB user in your app. Learn more about session id [here](https://emiloju.mintlify.app/api-reference/user-authentication). - [Delete session](https://emiloju.mintlify.app/api-reference/authentication/delete-session.md): This endpoint is used to delete/invalidate a user session. - [Validate Key](https://emiloju.mintlify.app/api-reference/authentication/validate-key.md): This endpoint is used to test and validate your TMDB API key. - [Validate request token (with Login)](https://emiloju.mintlify.app/api-reference/authentication/validate-request-token-with-login.md): This endpoint is used to validate the request token generated [here](https://emiloju.mintlify.app/api-reference/authentication/create-request-token) with a TMDB user's account credentials (username and password). The validated request token returned in the response can be used directly to [create a… - [Get movie certifications](https://emiloju.mintlify.app/api-reference/certifications/get-movie-certifications.md): This endpoint is used to get an up to date list of the officially supported movie certifications on TMDB. - [Get TV certifications](https://emiloju.mintlify.app/api-reference/certifications/get-tv-certifications.md): This endpoint is used to get an up to date list of the officially supported TV certifications on TMDB. - [Get collection details](https://emiloju.mintlify.app/api-reference/collections/get-collection-details.md): This endpoint is used to get the details for a collection. - [Get collection images](https://emiloju.mintlify.app/api-reference/collections/get-collection-images.md): This endpoint is used to get the images for a collection. - [Get collection translations](https://emiloju.mintlify.app/api-reference/collections/get-collection-translations.md): This endpoint is used to get available translations for a collection. - [Get company alternative names](https://emiloju.mintlify.app/api-reference/companies/get-company-alternative-names.md): This endpoint is used to get the alternative names for a movie company. - [Get company details](https://emiloju.mintlify.app/api-reference/companies/get-company-details.md): This endpoint is used to get the details of a movie company. - [Get company logos](https://emiloju.mintlify.app/api-reference/companies/get-company-logos.md): This endpoint is used to get the logos for a movie company. - [Get configuration details](https://emiloju.mintlify.app/api-reference/configuration/get-configuration-details.md): This endpoint is use to get the configuration details for the TMDB API. - [Get countries list](https://emiloju.mintlify.app/api-reference/configuration/get-countries-list.md): This endpoint is used to get the list of countries (ISO 3166-1 tags) used throughout TMDB. - [Get jobs and departments](https://emiloju.mintlify.app/api-reference/configuration/get-jobs-and-departments.md): This endpoint is used to get the list of the jobs and departments used on TMDB. - [Get supported languages](https://emiloju.mintlify.app/api-reference/configuration/get-supported-languages.md): This endpoint is used to get the list of languages (ISO 639-1 tags) used throughout TMDB. - [Get supported timezones](https://emiloju.mintlify.app/api-reference/configuration/get-supported-timezones.md): This endpoint is used to get the list of timezones used throughout TMDB. - [Get supported translations](https://emiloju.mintlify.app/api-reference/configuration/get-supported-translations.md): This endpoint is used to get a list of the officially supported translations on TMDB. - [Get a credit by ID](https://emiloju.mintlify.app/api-reference/credit/get-a-credit-by-id.md): This endpoint is used to get a movie or TV credit details by its ID. - [Discover movies](https://emiloju.mintlify.app/api-reference/discover/discover-movies.md): This endpoint is used to find movies using over 30 filters and sort options. - [Discover TV shows](https://emiloju.mintlify.app/api-reference/discover/discover-tv-shows.md): This endpoint is used to find TV shows using over 30 filters and sort options. - [Find by external ID](https://emiloju.mintlify.app/api-reference/find/find-by-external-id.md): This endpoint is used to find a movie, tv show, etc. by external ID's. - [List movie genres](https://emiloju.mintlify.app/api-reference/genres/list-movie-genres.md): List movie genres - [List TV show genres](https://emiloju.mintlify.app/api-reference/genres/list-tv-show-genres.md): List TV show genres - [Guest rated movies](https://emiloju.mintlify.app/api-reference/guest-sessions/guest-rated-movies.md): Get the rated movies for a guest session. - [Guest rated TV episodes](https://emiloju.mintlify.app/api-reference/guest-sessions/guest-rated-tv-episodes.md): Guest rated TV episodes - [Guest rated TV shows](https://emiloju.mintlify.app/api-reference/guest-sessions/guest-rated-tv-shows.md): Guest rated TV shows - [Introduction](https://emiloju.mintlify.app/api-reference/introduction.md): Welcome to version 3 of the Movie Database (TMDB) API reference - [Get keyword by ID](https://emiloju.mintlify.app/api-reference/keywords/get-keyword-by-id.md): Get keyword by ID - [Currently playing movies](https://emiloju.mintlify.app/api-reference/movie-lists/currently-playing-movies.md): Get a list of movies that are currently in theatres. - [Get movies by ratings](https://emiloju.mintlify.app/api-reference/movie-lists/get-movies-by-ratings.md): Get a list of movies ordered by rating. - [Get popular movies](https://emiloju.mintlify.app/api-reference/movie-lists/get-popular-movies.md): Get a list of movies ordered by popularity. - [Get upcoming movies](https://emiloju.mintlify.app/api-reference/movie-lists/get-upcoming-movies.md): Get a list of movies that are being released soon. - [Get account states](https://emiloju.mintlify.app/api-reference/movies/get-account-states.md): This endpoint is used to get the rating, watchlist and favourite status of an account. - [Get alternative titles](https://emiloju.mintlify.app/api-reference/movies/get-alternative-titles.md): This endpoint is used to get the alternative titles for a movie. - [Get external IDs](https://emiloju.mintlify.app/api-reference/movies/get-external-ids.md): Get external IDs for a movie. - [Get featured lists](https://emiloju.mintlify.app/api-reference/movies/get-featured-lists.md): Get the lists that a movie has been added to. - [Get latest changes](https://emiloju.mintlify.app/api-reference/movies/get-latest-changes.md): This endpoint is used to get the recent changes for a movie. By default, only the last 24 hours are returned - [Get latest movies](https://emiloju.mintlify.app/api-reference/movies/get-latest-movies.md): Get the newest movie ID. - [Get movie credits](https://emiloju.mintlify.app/api-reference/movies/get-movie-credits.md): Get all credits for a movie. - [Get movie details](https://emiloju.mintlify.app/api-reference/movies/get-movie-details.md): This endpoint is used to get the details of a movie by its ID. - [Get movie images](https://emiloju.mintlify.app/api-reference/movies/get-movie-images.md): Get the images that belong to a movie. - [Get movie keywords](https://emiloju.mintlify.app/api-reference/movies/get-movie-keywords.md): This endpoint is used to get a moive keywords. - [Get movie recommendations](https://emiloju.mintlify.app/api-reference/movies/get-movie-recommendations.md): Get movie recommendations. - [Get movie reviews](https://emiloju.mintlify.app/api-reference/movies/get-movie-reviews.md): Get the user reviews for a movie. - [Get movie translations](https://emiloju.mintlify.app/api-reference/movies/get-movie-translations.md): Used to get translations for movies. - [Get movie videos](https://emiloju.mintlify.app/api-reference/movies/get-movie-videos.md): Get movie videos - [Get release dates](https://emiloju.mintlify.app/api-reference/movies/get-release-dates.md): Get the release dates and certifications for a movie. - [Get similar movies](https://emiloju.mintlify.app/api-reference/movies/get-similar-movies.md): Get the similar movies based on genres and keywords. - [Get watch providers](https://emiloju.mintlify.app/api-reference/movies/get-watch-providers.md): Get the list of streaming providers we have for a movie. - [Get alternative names](https://emiloju.mintlify.app/api-reference/networks/get-alternative-names.md): Get the alternative names of a network. - [Get network details](https://emiloju.mintlify.app/api-reference/networks/get-network-details.md): Used to get network details. - [Get network logos](https://emiloju.mintlify.app/api-reference/networks/get-network-logos.md): Get the TV network logos by id. - [Get combined credits](https://emiloju.mintlify.app/api-reference/people/get-combined-credits.md): Get the combined movie and TV credits that belong to a person. - [Get external IDs](https://emiloju.mintlify.app/api-reference/people/get-external-ids.md): Get the external ID's that belong to a person. - [Get latest changes](https://emiloju.mintlify.app/api-reference/people/get-latest-changes.md): Get the recent changes for a person. - [Get newest person](https://emiloju.mintlify.app/api-reference/people/get-newest-person.md): Get the newest created person. This is a live response and will continuously change. - [Get person details](https://emiloju.mintlify.app/api-reference/people/get-person-details.md): Query the top level details of a person. - [Get personal credits (movies)](https://emiloju.mintlify.app/api-reference/people/get-personal-credits-movies.md): Get the movie credits for a person. - [Get personal credits (TV)](https://emiloju.mintlify.app/api-reference/people/get-personal-credits-tv.md): Get the TV credits that belong to a person. - [Get personal translations](https://emiloju.mintlify.app/api-reference/people/get-personal-translations.md): Get the translations that belong to a person - [Get profile images](https://emiloju.mintlify.app/api-reference/people/get-profile-images.md): Get the profile images that belong to a person. - [Get tagged images](https://emiloju.mintlify.app/api-reference/people/get-tagged-images.md): Get the tagged images for a person. - [List of popular people](https://emiloju.mintlify.app/api-reference/people/list-of-popular-people.md): Get a list of people ordered by popularity. - [Rate limiting](https://emiloju.mintlify.app/api-reference/rate_limit.md) - [Get recently changed movies](https://emiloju.mintlify.app/api-reference/recent-changes/get-recently-changed-movies.md): This endpoint is used to get a list of all ids for movies that have been changed in the past 24 hours. - [Get recently changed persons](https://emiloju.mintlify.app/api-reference/recent-changes/get-recently-changed-persons.md): This endpoint is used to get a list of all ids for persons that have been changed in the past 24 hours. - [Get recently changed TV shows](https://emiloju.mintlify.app/api-reference/recent-changes/get-recently-changed-tv-shows.md): Get recently changed TV shows - [Response format](https://emiloju.mintlify.app/api-reference/response.md): Discover the response format supported by the TMDB API - [Get review details](https://emiloju.mintlify.app/api-reference/reviews/get-review-details.md): Retrieve the details of a movie or TV show review. - [Get collections](https://emiloju.mintlify.app/api-reference/search/get-collections.md): Search for collections by their original, translated and alternative names. - [Get companies](https://emiloju.mintlify.app/api-reference/search/get-companies.md): Search for companies by their original and alternative names. - [Search keywords](https://emiloju.mintlify.app/api-reference/search/search-keywords.md): Search for keywords by their name. - [Search movies](https://emiloju.mintlify.app/api-reference/search/search-movies.md): Search for movies by their original, translated and alternative titles. - [Search multiple movies](https://emiloju.mintlify.app/api-reference/search/search-multiple-movies.md): Use multi search when you want to search for movies, TV shows and people in a single request. - [Search persons](https://emiloju.mintlify.app/api-reference/search/search-persons.md): Search for people by their name and also known as names. - [Search TV shows](https://emiloju.mintlify.app/api-reference/search/search-tv-shows.md): Search for TV shows by their original, translated and also known as names. - [Status codes](https://emiloju.mintlify.app/api-reference/status.md): An exhaustive list of API status codes and their meaning - [Get trending items](https://emiloju.mintlify.app/api-reference/trending/get-trending-items.md): Get the trending movies, TV shows and people. - [Get trending movies](https://emiloju.mintlify.app/api-reference/trending/get-trending-movies.md): Get the trending movies on TMDB. - [Get trending people](https://emiloju.mintlify.app/api-reference/trending/get-trending-people.md): Get the trending people on TMDB. - [Get trending TV shows](https://emiloju.mintlify.app/api-reference/trending/get-trending-tv-shows.md): Get the trending TV shows on TMDB. - [Get TV episodes](https://emiloju.mintlify.app/api-reference/tv-episode-groups/get-tv-episodes.md): Get the details of a TV episode group. - [Add rating](https://emiloju.mintlify.app/api-reference/tv-episodes/add-rating.md): Rate a TV episode and save it to your rated list. - [Delete rating](https://emiloju.mintlify.app/api-reference/tv-episodes/delete-rating.md): Delete your rating on a TV episode. - [Get account states](https://emiloju.mintlify.app/api-reference/tv-episodes/get-account-states.md): Get the rating, watchlist and favourite status. - [Get episode credits](https://emiloju.mintlify.app/api-reference/tv-episodes/get-episode-credits.md): Get episode credits. - [Get episode details](https://emiloju.mintlify.app/api-reference/tv-episodes/get-episode-details.md): Query the details of a TV episode. - [Get episode images](https://emiloju.mintlify.app/api-reference/tv-episodes/get-episode-images.md): Get the images that belong to a TV episode. - [Get episode translations](https://emiloju.mintlify.app/api-reference/tv-episodes/get-episode-translations.md): Get the translations that have been added to a TV episode. - [Get episode videos](https://emiloju.mintlify.app/api-reference/tv-episodes/get-episode-videos.md): Get the videos that belong to a TV episode. - [Get external IDs](https://emiloju.mintlify.app/api-reference/tv-episodes/get-external-ids.md): Get a list of external IDs that have been added to a TV episode. - [Get recent changes](https://emiloju.mintlify.app/api-reference/tv-episodes/get-recent-changes.md): Get the recent changes for a TV episode. - [Get account states](https://emiloju.mintlify.app/api-reference/tv-seasons/get-account-states.md): Get the rating, watchlist and favourite status. - [Get credits](https://emiloju.mintlify.app/api-reference/tv-seasons/get-credits.md): Get the aggregate credits (cast and crew) that have been added to a TV season. - [Get details](https://emiloju.mintlify.app/api-reference/tv-seasons/get-details.md): Query the details of a TV season. - [Get external IDs](https://emiloju.mintlify.app/api-reference/tv-seasons/get-external-ids.md): Get a list of external IDs that have been added to a TV season. - [Get latest changes](https://emiloju.mintlify.app/api-reference/tv-seasons/get-latest-changes.md): Get the recent changes for a TV season. - [Get season credits](https://emiloju.mintlify.app/api-reference/tv-seasons/get-season-credits.md): Get season credits. - [Get season images](https://emiloju.mintlify.app/api-reference/tv-seasons/get-season-images.md): Get the images that belong to a TV season. - [Get season videos](https://emiloju.mintlify.app/api-reference/tv-seasons/get-season-videos.md): Get the videos that belong to a TV season. - [Get translations](https://emiloju.mintlify.app/api-reference/tv-seasons/get-translations.md): Get the translations for a TV season. - [Get watch providers](https://emiloju.mintlify.app/api-reference/tv-seasons/get-watch-providers.md): Get the list of streaming providers we have for a TV season. - [Get popular series](https://emiloju.mintlify.app/api-reference/tv-series-lists/get-popular-series.md): Get a list of TV shows ordered by popularity. - [Series airing today](https://emiloju.mintlify.app/api-reference/tv-series-lists/series-airing-today.md): Get a list of TV shows airing today. - [Series on the air](https://emiloju.mintlify.app/api-reference/tv-series-lists/series-on-the-air.md): Get a list of TV shows that air in the next 7 days. - [Top rated TV series](https://emiloju.mintlify.app/api-reference/tv-series-lists/top-rated-tv-series.md): Get a list of TV shows ordered by rating - [Account states](https://emiloju.mintlify.app/api-reference/tv-series/account-states.md): Get the rating, watchlist and favourite status. - [Get aggregate credits](https://emiloju.mintlify.app/api-reference/tv-series/get-aggregate-credits.md): Get the aggregate credits (cast and crew) that have been added to a TV show - [Get alternative titles](https://emiloju.mintlify.app/api-reference/tv-series/get-alternative-titles.md): Get the alternative titles that have been added to a TV show. - [Get content ratings](https://emiloju.mintlify.app/api-reference/tv-series/get-content-ratings.md): Get the content ratings that have been added to a TV show. - [Get credits](https://emiloju.mintlify.app/api-reference/tv-series/get-credits.md): Get the latest season credits of a TV show - [Get episode groups](https://emiloju.mintlify.app/api-reference/tv-series/get-episode-groups.md): Get the episode groups that have been added to a TV show. - [Get external IDs](https://emiloju.mintlify.app/api-reference/tv-series/get-external-ids.md): Get a list of external IDs that have been added to a TV show. - [Get latest series](https://emiloju.mintlify.app/api-reference/tv-series/get-latest-series.md): Get the newest TV show ID. - [Get recent changes](https://emiloju.mintlify.app/api-reference/tv-series/get-recent-changes.md): Get recent changes - [Get recommended series](https://emiloju.mintlify.app/api-reference/tv-series/get-recommended-series.md): Get recommended series. - [Get series detaills](https://emiloju.mintlify.app/api-reference/tv-series/get-series-detaills.md): Get the details of a TV show. - [Get series images](https://emiloju.mintlify.app/api-reference/tv-series/get-series-images.md): Get the images that belong to a TV series. - [Get series keywords](https://emiloju.mintlify.app/api-reference/tv-series/get-series-keywords.md): Get a list of keywords that have been added to a TV show. - [Get series' list](https://emiloju.mintlify.app/api-reference/tv-series/get-series-list.md): Get the lists that a TV series has been added to. - [Get series' reviews](https://emiloju.mintlify.app/api-reference/tv-series/get-series-reviews.md): Get the reviews that have been added to a TV show. - [Get series translations](https://emiloju.mintlify.app/api-reference/tv-series/get-series-translations.md): Get the translations that have been added to a TV show. - [Get series' videos](https://emiloju.mintlify.app/api-reference/tv-series/get-series-videos.md): Get the videos that belong to a TV show. - [Get similar TV series](https://emiloju.mintlify.app/api-reference/tv-series/get-similar-tv-series.md): Get the similar TV shows. - [Get theatre episodes](https://emiloju.mintlify.app/api-reference/tv-series/get-theatre-episodes.md): Get the seasons and episodes that have screened theatrically. - [Get watch providers](https://emiloju.mintlify.app/api-reference/tv-series/get-watch-providers.md): Get the list of streaming providers we have for a TV show. - [User authentication](https://emiloju.mintlify.app/api-reference/user-authentication.md): Learn how to authenticate TMDB users within your application. - [Get available regions](https://emiloju.mintlify.app/api-reference/watch-providers/get-available-regions.md): Get the list of the countries we have watch provider (OTT/streaming) data for. - [Get streaming providers](https://emiloju.mintlify.app/api-reference/watch-providers/get-streaming-providers.md): Get the list of streaming providers we have for movies. - [Get TV providers](https://emiloju.mintlify.app/api-reference/watch-providers/get-tv-providers.md): Get the list of streaming providers we have for TV shows. - [Product updates](https://emiloju.mintlify.app/changelog/changelog.md): Access a history of updates and improvements to TMDB API. - [Append to Response](https://emiloju.mintlify.app/documentation/append_to_response.md): Maximize your search with the `append_to_response` parameter - [FAQs](https://emiloju.mintlify.app/documentation/faq.md): Frequently asked questions. - [Finding data](https://emiloju.mintlify.app/documentation/finding_data.md): Learn how to find data on TMDB - [Daily ID exports](https://emiloju.mintlify.app/documentation/id_exports.md): Download a list of valid IDs from TMDB. - [Basics](https://emiloju.mintlify.app/documentation/image_basics.md): How to build an image URL. - [Languages (With images)](https://emiloju.mintlify.app/documentation/image_language.md): Understand how languages work with image queries - [Languages](https://emiloju.mintlify.app/documentation/languages.md): Understand how languages are used within the TMDB API. - [Overview](https://emiloju.mintlify.app/documentation/overview.md): Learn about the TMDB API in details - [Popular and Trending](https://emiloju.mintlify.app/documentation/popularity.md): Understand in details the concept of popularity and trending within the TMDB API. - [Regions](https://emiloju.mintlify.app/documentation/regions.md): Understand how region support works on TMDB - [Roadmap](https://emiloju.mintlify.app/documentation/roadmap.md): What are we working on? - [Search and query](https://emiloju.mintlify.app/documentation/search.md): Learn how to search and query for a movie effectively. - [Tracking changes](https://emiloju.mintlify.app/documentation/tracking_changes.md) ## OpenAPI Specs - [openapi](https://emiloju.mintlify.app/api-reference/openapi.yaml) ## Optional - [Postman collection](https://www.postman.com/payload-engineer-85333127/the-movies-database-tmdb-api/collection/xv8ur99/endpoints?action=share&creator=34422222)